import Vue from 'vue'
import App from './App.vue'
import './registerServiceWorker'
import router from './router'
import store from './store'
import "tailwindcss/tailwind.css"
import './style.less'
import Util from './util'
import service from './service'
import { Plugin } from 'vue-fragment'
import { Dialog } from 'vant';
import { Toast } from 'vant'
import VConsole from 'vconsole';

const vconsole = process.env.VUE_APP_ENV === 'TEST'?new VConsole():''

console.log(vconsole,'移动console');


Vue.use(Dialog);
Vue.use(Toast)
Vue.use(Util)
Vue.use(Plugin)
Vue.use(service)
Vue.config.productionTip = false

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
